Applies a bulk action to multiple Knowledge Base Entries
- Base URL
-
https://{kibana_url}
- POST /api/security_ai_assistant/knowledge_base/entries/_bulk_action
The bulk action is applied to all Knowledge Base Entries that match the filter or to the list of Knowledge Base Entries by their IDs.
Request body
-
createunion anyOf[] -
List of Knowledge Base Entries to create.
- Any of:
-
usersobject[] -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
-
updateunion anyOf[] -
List of Knowledge Base Entries to update.
- Any of:
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
usersobject[] -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
Responses
Successful bulk operation request
-
attributesobjectrequired -
resultsobjectrequired -
createdunion anyOf[]required -
List of Knowledge Base Entries that were successfully created.
- Any of:
-
usersobject[]required -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
-
updatedunion anyOf[]required -
List of Knowledge Base Entries that were successfully updated.
-
Same options as
createdinresults